Cygport Reference Manual

### TABLE OF CONTENTS

- xvfb.cygclass

- xvfb_run

## xvfb.cygclass

[ Top ] [ Cygclasses ] [ Cygclasses ]

SYNOPSIS

      inherit xvfb

DESCRIPTION

Some packages require a running X server while building; if one is already running, that usually suffices, but checking that one is present, and starting one if not, is complicated to do in an automated fashion.

This cygclass provides a function which handles checking for, and if necessary, launching a temporary X session.

## xvfb_run

[ Top ] [ xvfb.cygclass ] [ Compile Functions ]

SYNOPSIS

      xvfb_run COMMAND [ARGUMENTS...]

DESCRIPTION

Runs the given COMMAND (binary, script, or shell function), with optional ARGUMENTS, which requires an X session to complete.

NOTE

If several consecutive commands require an X session, then they can be wrapped in a single custom function which can then be passed to xvfb_run, e.g.:

        mycommand() { for f in *; do foo; bar; done ; }
        src_compile() {
          ....
          xvfb_run mycommand
          ....
        }

REQUIRES

dbus, gamin, xmodmap, xorg-server